﻿<%@ Application Language="C#" %>

<script runat="server">

	public static System.Collections.Generic.Dictionary<string, string> UrlList = new System.Collections.Generic.Dictionary<string, string>(); 
	void Application_BeginRequest(object sender, EventArgs e)
	{
		string url = Request.Url.AbsolutePath;
		if (url.EndsWith(".aspx", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".css", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".js", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".jpg", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".png", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".rar", StringComparison.CurrentCultureIgnoreCase)
			|| url.EndsWith(".swf", StringComparison.CurrentCultureIgnoreCase)
			)
		{
			return;
		}

		foreach (string key in UrlList.Keys)
		{
			Regex r = new Regex(key, RegexOptions.IgnoreCase);
			Match m = r.Match(url);
			if (m.Success)
			{
				string newUrl = UrlList[key];
				for (int j = 1; j < m.Groups.Count; j++)
				{
					newUrl = newUrl.Replace("$" + j.ToString(), m.Groups[j].Value);
				}
				Context.RewritePath(newUrl);
				break;
			}
		}
	}
	
    void Application_Start(object sender, EventArgs e) 
    {
        // 在应用程序启动时运行的代码

		UrlList.Add(@"^/(hc|hb|tl)$", "/Product/$1.aspx");
		UrlList.Add(@"^/index.htm$", "/default.aspx");
		UrlList.Add(@"^/p(\d+)$", "/Product.aspx?id=$1");
    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  在应用程序关闭时运行的代码

    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // 在出现未处理的错误时运行的代码

    }

    void Session_Start(object sender, EventArgs e) 
    {
        // 在新会话启动时运行的代码

    }

    void Session_End(object sender, EventArgs e) 
    {
        // 在会话结束时运行的代码。 
        // 注意: 只有在 Web.config 文件中的 sessionstate 模式设置为
        // InProc 时，才会引发 Session_End 事件。如果会话模式设置为 StateServer 
        // 或 SQLServer，则不会引发该事件。

    }
       
</script>
